%global commit          2f6dcb5e941dce3ace651394cfa86b862becaa77
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global snapshotdate    20180413

Name:           gerbera
Version:        1.1.0
Release:        6.%{snapshotdate}git%{shortcommit}%{?dist}
Summary:        UPnP Media Server
License:        GPLv2 and MIT and OFL
Url:            https://gerbera.io
Source0:        https://github.com/gerbera/gerbera/archive/%{commit}/%{name}-%{commit}.tar.gz
Source1:        gerbera.service
Source2:        gerbera-conf-fedora

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libupnp-devel
BuildRequires:  libuuid-devel
BuildRequires:  expat-devel
BuildRequires:  sqlite-devel
BuildRequires:  duktape-devel
BuildRequires:  curl-devel
BuildRequires:  taglib-devel
BuildRequires:  file-devel
BuildRequires:  libexif-devel
BuildRequires:  exiv2-devel
BuildRequires:  lastfmlib-devel
BuildRequires:  cmake
BuildRequires:  zlib-devel
Requires(pre): shadow-utils
%{?systemd_requires}
BuildRequires:  systemd
Requires:       %{name}-data = %{version}-%{release}
 
%description
Gerbera is a UPnP media server which allows you to stream your digital
media through your home network and consume it on a variety of UPnP
compatible devices.

%package data
Summary:        Data files for Gerbera
BuildArch:      noarch

%description data
Data files for the Gerbera media server.

%prep
%autosetup -n %{name}-%{commit}

%build
%cmake \
    -DWITH_JS=1 \
    -DWITH_MYSQL=0 \
    -DWITH_CURL=1 \
    -DWITH_TAGLIB=1 \
    -DWITH_MAGIC=1 \
    -DWITH_AVCODEC=0 \
    -DWITH_EXIF=1 \
    -DWITH_EXIV2=1 \
    -DWITH_LASTFM=1 \
    -DWITH_FFMPEGTHUMBNAILER=0 \
    -DWITH_INOTIFY=1 \
    -DWITH_SYSTEMD=1 \
    -DUPNP_HAS_REUSEADDR=1

%make_build

cp %{SOURCE1} gerbera.service

%install
install -p -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gerbera.conf
%make_install

# make all files under %%_sysconfdir/gerbera owned by
# this package
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gerbera
touch $RPM_BUILD_ROOT%{_sysconfdir}/gerbera/{config.xml,gerbera.db,gerbera.html}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/gerbera
touch $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
mkdir -p  $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name} << 'EOF'
/var/log/gerbera/gerbera {
create 644 root root
      monthly
      compress
      missingok
}
EOF


%pre
getent group gerbera >/dev/null || groupadd -r gerbera
getent passwd gerbera >/dev/null || \
useradd -r -g gerbera -d %{_sysconfdir}/gerbera -s /sbin/nologin \
    -c "To run Gerbera" gerbera
exit 0

%post
%systemd_post gerbera.service

%preun
%systemd_preun gerbera.service

%postun
%systemd_postun_with_restart gerbera.service

%files
%license LICENSE.md
%doc AUTHORS CONTRIBUTING.md ChangeLog.md
%attr(-,gerbera,gerbera)%config(noreplace) %{_sysconfdir}/gerbera.conf
%attr(-,gerbera,gerbera)%dir %{_sysconfdir}/%{name}/
%attr(-,gerbera,gerbera)%ghost %{_sysconfdir}/%{name}/*
%attr(-,gerbera,gerbera) %{_localstatedir}/log/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/logrotate.d/
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_unitdir}/gerbera.service
%ghost /var/log/gerbera

%files data
%{_datadir}/%{name}/


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-6.20180413git2f6dcb5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue May 29 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.0-5.20180413git2f6dcb5
- Fix Requires

* Mon May 28 2018 Dennis Gilmore <dennis@ausil.us> - 1.1.0-4.20180413git2f6dcb5
- Add back the correct requiresso that the data sub package gets pulled in

* Mon May 28 2018 Dennis Gilmore <dennis@ausil.us> - 1.1.0-3.20180413git2f6dcb5
- remove requires that prevents installation

* Thu Apr 19 2018 Gwyn Ciesla <limburgher@gmail.com> - 1.1.0-2.20180413git2f6dcb5
- Spec corrections.
- Split out data subpackage.

* Fri Apr 13 2018 Gwyn Ciesla <limburgher@gmail.com> - 1.1.0-1
- Adapt to modern packaging guidelines.

* Mon Mar 19 2018 jk@lutty.net
- Initial package derived from mediatomb (fedora) annd gerbera (Suse)
